Updates a Address
curl --request PATCH \
--url https://commerce.driv.ly/api/addresses/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"street": "<string>",
"suite": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"deals": [
123
],
"tenants": 123,
"customer": [
123
],
"contact": [
123
]
}
'import requests
url = "https://commerce.driv.ly/api/addresses/{id}"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"street": "<string>",
"suite": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"deals": [123],
"tenants": 123,
"customer": [123],
"contact": [123]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
name: '<string>',
street: '<string>',
suite: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>',
deals: [123],
tenants: 123,
customer: [123],
contact: [123]
})
};
fetch('https://commerce.driv.ly/api/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"street": "<string>",
"suite": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>",
"deals": [
123
],
"tenants": 123,
"customer": [
123
],
"contact": [
123
]
},
"message": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Addresses
Updates a Address
Updates a Address
PATCH
/
addresses
/
{id}
Updates a Address
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { addresses } from '@drivly/commerce'
const sdk = new SDK(...)
const addresses = await sdk.addresses.update(addressesId: string, data: addresses): Promise<addresses>
Authorizations
Path Parameters
id of the Address
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I